#ifndef SHOP_H
#define SHOP_H

#include <QObject>
#include <core.h>
#include "shop_global.h"

class SHOPSHARED_EXPORT Shop : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "shop.json")
    Q_INTERFACES(IPlugin)

public:
    Shop();

protected:
    void initServiceUi() Q_DECL_OVERRIDE;


    // IPlugin interface
public:
    virtual QIcon pluginIcon();
    virtual QWidget *ui() override;
    QTranslator *translator();
    bool hasNumberSeries();
    QString numberSeriesPrefix();
};

#endif // SHOP_H
